1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90check_PROGRAMS = dummy$(EXEEXT)
91subdir = tests
92ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93am__aclocal_m4_deps = $(top_srcdir)/m4/ax_prefix_config_h.m4 \
94	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
95	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
96	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98	$(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104am_dummy_OBJECTS = dummy.$(OBJEXT)
105dummy_OBJECTS = $(am_dummy_OBJECTS)
106dummy_LDADD = $(LDADD)
107dummy_DEPENDENCIES =
108AM_V_lt = $(am__v_lt_@AM_V@)
109am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
110am__v_lt_0 = --silent
111am__v_lt_1 =
112AM_V_P = $(am__v_P_@AM_V@)
113am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114am__v_P_0 = false
115am__v_P_1 = :
116AM_V_GEN = $(am__v_GEN_@AM_V@)
117am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118am__v_GEN_0 = @echo "  GEN     " $@;
119am__v_GEN_1 =
120AM_V_at = $(am__v_at_@AM_V@)
121am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122am__v_at_0 = @
123am__v_at_1 =
124DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
125depcomp = $(SHELL) $(top_srcdir)/depcomp
126am__maybe_remake_depfiles = depfiles
127am__depfiles_remade = ./$(DEPDIR)/dummy.Po
128am__mv = mv -f
129CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
130	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
131LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
132	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
133	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
134	$(AM_CXXFLAGS) $(CXXFLAGS)
135AM_V_CXX = $(am__v_CXX_@AM_V@)
136am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
137am__v_CXX_0 = @echo "  CXX     " $@;
138am__v_CXX_1 =
139CXXLD = $(CXX)
140CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
141	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
142	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
143AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
144am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
145am__v_CXXLD_0 = @echo "  CXXLD   " $@;
146am__v_CXXLD_1 =
147SOURCES = $(dummy_SOURCES)
148DIST_SOURCES = $(dummy_SOURCES)
149am__can_run_installinfo = \
150  case $$AM_UPDATE_INFO_DIR in \
151    n|no|NO) false;; \
152    *) (install-info --version) >/dev/null 2>&1;; \
153  esac
154am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
155# Read a list of newline-separated strings from the standard input,
156# and print each of them once, without duplicates.  Input order is
157# *not* preserved.
158am__uniquify_input = $(AWK) '\
159  BEGIN { nonempty = 0; } \
160  { items[$$0] = 1; nonempty = 1; } \
161  END { if (nonempty) { for (i in items) print i; }; } \
162'
163# Make sure the list of sources is unique.  This is necessary because,
164# e.g., the same source file might be shared among _SOURCES variables
165# for different programs/libraries.
166am__define_uniq_tagged_files = \
167  list='$(am__tagged_files)'; \
168  unique=`for i in $$list; do \
169    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
170  done | $(am__uniquify_input)`
171ETAGS = etags
172CTAGS = ctags
173am__tty_colors_dummy = \
174  mgn= red= grn= lgn= blu= brg= std=; \
175  am__color_tests=no
176am__tty_colors = { \
177  $(am__tty_colors_dummy); \
178  if test "X$(AM_COLOR_TESTS)" = Xno; then \
179    am__color_tests=no; \
180  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
181    am__color_tests=yes; \
182  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
183    am__color_tests=yes; \
184  fi; \
185  if test $$am__color_tests = yes; then \
186    red=''; \
187    grn=''; \
188    lgn=''; \
189    blu=''; \
190    mgn=''; \
191    brg=''; \
192    std=''; \
193  fi; \
194}
195am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
196am__vpath_adj = case $$p in \
197    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
198    *) f=$$p;; \
199  esac;
200am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
201am__install_max = 40
202am__nobase_strip_setup = \
203  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
204am__nobase_strip = \
205  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
206am__nobase_list = $(am__nobase_strip_setup); \
207  for p in $$list; do echo "$$p $$p"; done | \
208  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
209  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
210    if (++n[$$2] == $(am__install_max)) \
211      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
212    END { for (dir in files) print dir, files[dir] }'
213am__base_list = \
214  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
215  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
216am__uninstall_files_from_dir = { \
217  test -z "$$files" \
218    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
219    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
220         $(am__cd) "$$dir" && rm -f $$files; }; \
221  }
222am__recheck_rx = ^[ 	]*:recheck:[ 	]*
223am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
224am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
225# A command that, given a newline-separated list of test names on the
226# standard input, print the name of the tests that are to be re-run
227# upon "make recheck".
228am__list_recheck_tests = $(AWK) '{ \
229  recheck = 1; \
230  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
231    { \
232      if (rc < 0) \
233        { \
234          if ((getline line2 < ($$0 ".log")) < 0) \
235	    recheck = 0; \
236          break; \
237        } \
238      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
239        { \
240          recheck = 0; \
241          break; \
242        } \
243      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
244        { \
245          break; \
246        } \
247    }; \
248  if (recheck) \
249    print $$0; \
250  close ($$0 ".trs"); \
251  close ($$0 ".log"); \
252}'
253# A command that, given a newline-separated list of test names on the
254# standard input, create the global log from their .trs and .log files.
255am__create_global_log = $(AWK) ' \
256function fatal(msg) \
257{ \
258  print "fatal: making $@: " msg | "cat >&2"; \
259  exit 1; \
260} \
261function rst_section(header) \
262{ \
263  print header; \
264  len = length(header); \
265  for (i = 1; i <= len; i = i + 1) \
266    printf "="; \
267  printf "\n\n"; \
268} \
269{ \
270  copy_in_global_log = 1; \
271  global_test_result = "RUN"; \
272  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
273    { \
274      if (rc < 0) \
275         fatal("failed to read from " $$0 ".trs"); \
276      if (line ~ /$(am__global_test_result_rx)/) \
277        { \
278          sub("$(am__global_test_result_rx)", "", line); \
279          sub("[ 	]*$$", "", line); \
280          global_test_result = line; \
281        } \
282      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
283        copy_in_global_log = 0; \
284    }; \
285  if (copy_in_global_log) \
286    { \
287      rst_section(global_test_result ": " $$0); \
288      while ((rc = (getline line < ($$0 ".log"))) != 0) \
289      { \
290        if (rc < 0) \
291          fatal("failed to read from " $$0 ".log"); \
292        print line; \
293      }; \
294      printf "\n"; \
295    }; \
296  close ($$0 ".trs"); \
297  close ($$0 ".log"); \
298}'
299# Restructured Text title.
300am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
301# Solaris 10 'make', and several other traditional 'make' implementations,
302# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
303# by disabling -e (using the XSI extension "set +e") if it's set.
304am__sh_e_setup = case $$- in *e*) set +e;; esac
305# Default flags passed to test drivers.
306am__common_driver_flags = \
307  --color-tests "$$am__color_tests" \
308  --enable-hard-errors "$$am__enable_hard_errors" \
309  --expect-failure "$$am__expect_failure"
310# To be inserted before the command running the test.  Creates the
311# directory for the log if needed.  Stores in $dir the directory
312# containing $f, in $tst the test, in $log the log.  Executes the
313# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
314# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
315# will run the test scripts (or their associated LOG_COMPILER, if
316# thy have one).
317am__check_pre = \
318$(am__sh_e_setup);					\
319$(am__vpath_adj_setup) $(am__vpath_adj)			\
320$(am__tty_colors);					\
321srcdir=$(srcdir); export srcdir;			\
322case "$@" in						\
323  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
324    *) am__odir=.;; 					\
325esac;							\
326test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
327  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
328if test -f "./$$f"; then dir=./;			\
329elif test -f "$$f"; then dir=;				\
330else dir="$(srcdir)/"; fi;				\
331tst=$$dir$$f; log='$@'; 				\
332if test -n '$(DISABLE_HARD_ERRORS)'; then		\
333  am__enable_hard_errors=no; 				\
334else							\
335  am__enable_hard_errors=yes; 				\
336fi; 							\
337case " $(XFAIL_TESTS) " in				\
338  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
339    am__expect_failure=yes;;				\
340  *)							\
341    am__expect_failure=no;;				\
342esac; 							\
343$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
344# A shell command to get the names of the tests scripts with any registered
345# extension removed (i.e., equivalently, the names of the test logs, with
346# the '.log' extension removed).  The result is saved in the shell variable
347# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
348# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
349# since that might cause problem with VPATH rewrites for suffix-less tests.
350# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
351am__set_TESTS_bases = \
352  bases='$(TEST_LOGS)'; \
353  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
354  bases=`echo $$bases`
355RECHECK_LOGS = $(TEST_LOGS)
356AM_RECURSIVE_TARGETS = check recheck
357TEST_SUITE_LOG = test-suite.log
358TEST_EXTENSIONS = @EXEEXT@ .test
359LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
360LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
361am__set_b = \
362  case '$@' in \
363    */*) \
364      case '$*' in \
365        */*) b='$*';; \
366          *) b=`echo '$@' | sed 's/\.log$$//'`; \
367       esac;; \
368    *) \
369      b='$*';; \
370  esac
371am__test_logs1 = $(TESTS:=.log)
372am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
373TEST_LOGS = $(am__test_logs2:.test.log=.log)
374TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
375TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
376	$(TEST_LOG_FLAGS)
377am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
378	$(top_srcdir)/test-driver
379DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
380ACLOCAL = @ACLOCAL@
381AMTAR = @AMTAR@
382AM_CXXFLAGS = @AM_CXXFLAGS@
383AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
384AR = @AR@
385AUTOCONF = @AUTOCONF@
386AUTOHEADER = @AUTOHEADER@
387AUTOMAKE = @AUTOMAKE@
388AWK = @AWK@
389BUILDDATE = @BUILDDATE@
390BUILDER = @BUILDER@
391CC = @CC@
392CCDEPMODE = @CCDEPMODE@
393CFLAGS = @CFLAGS@
394CONFIGURE_ARGS = @CONFIGURE_ARGS@
395CPP = @CPP@
396CPPFLAGS = @CPPFLAGS@
397CXX = @CXX@
398CXXCPP = @CXXCPP@
399CXXDEPMODE = @CXXDEPMODE@
400CXXFLAGS = @CXXFLAGS@
401CYGPATH_W = @CYGPATH_W@
402DEFS = @DEFS@
403DEPDIR = @DEPDIR@
404DLLTOOL = @DLLTOOL@
405DSYMUTIL = @DSYMUTIL@
406DUMPBIN = @DUMPBIN@
407ECHO_C = @ECHO_C@
408ECHO_N = @ECHO_N@
409ECHO_T = @ECHO_T@
410EGREP = @EGREP@
411EXEEXT = @EXEEXT@
412FGREP = @FGREP@
413GREP = @GREP@
414INSTALL = @INSTALL@
415INSTALL_DATA = @INSTALL_DATA@
416INSTALL_PROGRAM = @INSTALL_PROGRAM@
417INSTALL_SCRIPT = @INSTALL_SCRIPT@
418INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
419LD = @LD@
420LDFLAGS = @LDFLAGS@
421LIBOBJS = @LIBOBJS@
422LIBS = @LIBS@
423LIBTOOL = @LIBTOOL@
424LIBTOOL_DEPS = @LIBTOOL_DEPS@
425LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
426LIPO = @LIPO@
427LN_S = @LN_S@
428LTLIBOBJS = @LTLIBOBJS@
429LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
430MAKEINFO = @MAKEINFO@
431MANIFEST_TOOL = @MANIFEST_TOOL@
432MKDIR_P = @MKDIR_P@
433NM = @NM@
434NMEDIT = @NMEDIT@
435OBJDUMP = @OBJDUMP@
436OBJEXT = @OBJEXT@
437OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
438OTOOL = @OTOOL@
439OTOOL64 = @OTOOL64@
440PACKAGE = @PACKAGE@
441PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
442PACKAGE_NAME = @PACKAGE_NAME@
443PACKAGE_STRING = @PACKAGE_STRING@
444PACKAGE_TARNAME = @PACKAGE_TARNAME@
445PACKAGE_URL = @PACKAGE_URL@
446PACKAGE_VERSION = @PACKAGE_VERSION@
447PATH_SEPARATOR = @PATH_SEPARATOR@
448RANLIB = @RANLIB@
449SED = @SED@
450SET_MAKE = @SET_MAKE@
451SHELL = @SHELL@
452STRIP = @STRIP@
453SUPLDFLAGS = @SUPLDFLAGS@
454VERSION = @VERSION@
455abs_builddir = @abs_builddir@
456abs_srcdir = @abs_srcdir@
457abs_top_builddir = @abs_top_builddir@
458abs_top_srcdir = @abs_top_srcdir@
459ac_ct_AR = @ac_ct_AR@
460ac_ct_CC = @ac_ct_CC@
461ac_ct_CXX = @ac_ct_CXX@
462ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
463am__include = @am__include@
464am__leading_dot = @am__leading_dot@
465am__quote = @am__quote@
466am__tar = @am__tar@
467am__untar = @am__untar@
468bindir = @bindir@
469build = @build@
470build_alias = @build_alias@
471build_cpu = @build_cpu@
472build_os = @build_os@
473build_vendor = @build_vendor@
474builddir = @builddir@
475datadir = @datadir@
476datarootdir = @datarootdir@
477docdir = @docdir@
478dvidir = @dvidir@
479exec_prefix = @exec_prefix@
480host = @host@
481host_alias = @host_alias@
482host_cpu = @host_cpu@
483host_os = @host_os@
484host_vendor = @host_vendor@
485htmldir = @htmldir@
486includedir = @includedir@
487infodir = @infodir@
488install_sh = @install_sh@
489libdir = @libdir@
490libexecdir = @libexecdir@
491localedir = @localedir@
492localstatedir = @localstatedir@
493mandir = @mandir@
494mkdir_p = @mkdir_p@
495oldincludedir = @oldincludedir@
496pdfdir = @pdfdir@
497prefix = @prefix@
498program_transform_name = @program_transform_name@
499psdir = @psdir@
500runstatedir = @runstatedir@
501sbindir = @sbindir@
502sharedstatedir = @sharedstatedir@
503srcdir = @srcdir@
504sysconfdir = @sysconfdir@
505target_alias = @target_alias@
506top_build_prefix = @top_build_prefix@
507top_builddir = @top_builddir@
508top_srcdir = @top_srcdir@
509dummy_SOURCES = dummy.cc
510INCLUDES = -I$(top_srcdir)/include -I../include
511LDADD = -lm @SUPLDFLAGS@
512TESTS = make_gmm_test.pl
513EXTRA_DIST = \
514          make_gmm_test.pl\
515          gmm_torture01_lusolve.cc\
516          gmm_torture02_baseop.cc\
517          gmm_torture05_mult.cc\
518          gmm_torture06_mat_mult.cc\
519          gmm_torture10_qr.cc\
520          gmm_torture15_sub.cc\
521          gmm_torture20_iterative_solvers.cc
522
523CLEANFILES = toto.mat ii_files/* auto_gmm*
524LOG_COMPILER = perl
525all: all-am
526
527.SUFFIXES:
528.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
529$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
530	@for dep in $?; do \
531	  case '$(am__configure_deps)' in \
532	    *$$dep*) \
533	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
534	        && { if test -f $@; then exit 0; else break; fi; }; \
535	      exit 1;; \
536	  esac; \
537	done; \
538	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
539	$(am__cd) $(top_srcdir) && \
540	  $(AUTOMAKE) --gnu tests/Makefile
541Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
542	@case '$?' in \
543	  *config.status*) \
544	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
545	  *) \
546	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
547	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
548	esac;
549
550$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
551	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
552
553$(top_srcdir)/configure:  $(am__configure_deps)
554	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
555$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
556	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
557$(am__aclocal_m4_deps):
558
559clean-checkPROGRAMS:
560	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
561	echo " rm -f" $$list; \
562	rm -f $$list || exit $$?; \
563	test -n "$(EXEEXT)" || exit 0; \
564	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
565	echo " rm -f" $$list; \
566	rm -f $$list
567
568dummy$(EXEEXT): $(dummy_OBJECTS) $(dummy_DEPENDENCIES) $(EXTRA_dummy_DEPENDENCIES)
569	@rm -f dummy$(EXEEXT)
570	$(AM_V_CXXLD)$(CXXLINK) $(dummy_OBJECTS) $(dummy_LDADD) $(LIBS)
571
572mostlyclean-compile:
573	-rm -f *.$(OBJEXT)
574
575distclean-compile:
576	-rm -f *.tab.c
577
578@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Po@am__quote@ # am--include-marker
579
580$(am__depfiles_remade):
581	@$(MKDIR_P) $(@D)
582	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
583
584am--depfiles: $(am__depfiles_remade)
585
586.cc.o:
587@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
588@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
589@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
590@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
591@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
592
593.cc.obj:
594@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
595@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
596@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
597@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
599
600.cc.lo:
601@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
602@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
603@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
604@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
606
607mostlyclean-libtool:
608	-rm -f *.lo
609
610clean-libtool:
611	-rm -rf .libs _libs
612
613ID: $(am__tagged_files)
614	$(am__define_uniq_tagged_files); mkid -fID $$unique
615tags: tags-am
616TAGS: tags
617
618tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
619	set x; \
620	here=`pwd`; \
621	$(am__define_uniq_tagged_files); \
622	shift; \
623	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
624	  test -n "$$unique" || unique=$$empty_fix; \
625	  if test $$# -gt 0; then \
626	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
627	      "$$@" $$unique; \
628	  else \
629	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
630	      $$unique; \
631	  fi; \
632	fi
633ctags: ctags-am
634
635CTAGS: ctags
636ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
637	$(am__define_uniq_tagged_files); \
638	test -z "$(CTAGS_ARGS)$$unique" \
639	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
640	     $$unique
641
642GTAGS:
643	here=`$(am__cd) $(top_builddir) && pwd` \
644	  && $(am__cd) $(top_srcdir) \
645	  && gtags -i $(GTAGS_ARGS) "$$here"
646cscopelist: cscopelist-am
647
648cscopelist-am: $(am__tagged_files)
649	list='$(am__tagged_files)'; \
650	case "$(srcdir)" in \
651	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
652	  *) sdir=$(subdir)/$(srcdir) ;; \
653	esac; \
654	for i in $$list; do \
655	  if test -f "$$i"; then \
656	    echo "$(subdir)/$$i"; \
657	  else \
658	    echo "$$sdir/$$i"; \
659	  fi; \
660	done >> $(top_builddir)/cscope.files
661
662distclean-tags:
663	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
664
665# Recover from deleted '.trs' file; this should ensure that
666# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
667# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
668# to avoid problems with "make -n".
669.log.trs:
670	rm -f $< $@
671	$(MAKE) $(AM_MAKEFLAGS) $<
672
673# Leading 'am--fnord' is there to ensure the list of targets does not
674# expand to empty, as could happen e.g. with make check TESTS=''.
675am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
676am--force-recheck:
677	@:
678
679$(TEST_SUITE_LOG): $(TEST_LOGS)
680	@$(am__set_TESTS_bases); \
681	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
682	redo_bases=`for i in $$bases; do \
683	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
684	            done`; \
685	if test -n "$$redo_bases"; then \
686	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
687	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
688	  if $(am__make_dryrun); then :; else \
689	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
690	  fi; \
691	fi; \
692	if test -n "$$am__remaking_logs"; then \
693	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
694	       "recursion detected" >&2; \
695	elif test -n "$$redo_logs"; then \
696	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
697	fi; \
698	if $(am__make_dryrun); then :; else \
699	  st=0;  \
700	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
701	  for i in $$redo_bases; do \
702	    test -f $$i.trs && test -r $$i.trs \
703	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
704	    test -f $$i.log && test -r $$i.log \
705	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
706	  done; \
707	  test $$st -eq 0 || exit 1; \
708	fi
709	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
710	ws='[ 	]'; \
711	results=`for b in $$bases; do echo $$b.trs; done`; \
712	test -n "$$results" || results=/dev/null; \
713	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
714	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
715	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
716	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
717	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
718	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
719	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
720	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
721	  success=true; \
722	else \
723	  success=false; \
724	fi; \
725	br='==================='; br=$$br$$br$$br$$br; \
726	result_count () \
727	{ \
728	    if test x"$$1" = x"--maybe-color"; then \
729	      maybe_colorize=yes; \
730	    elif test x"$$1" = x"--no-color"; then \
731	      maybe_colorize=no; \
732	    else \
733	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
734	    fi; \
735	    shift; \
736	    desc=$$1 count=$$2; \
737	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
738	      color_start=$$3 color_end=$$std; \
739	    else \
740	      color_start= color_end=; \
741	    fi; \
742	    echo "$${color_start}# $$desc $$count$${color_end}"; \
743	}; \
744	create_testsuite_report () \
745	{ \
746	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
747	  result_count $$1 "PASS: " $$pass  "$$grn"; \
748	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
749	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
750	  result_count $$1 "FAIL: " $$fail  "$$red"; \
751	  result_count $$1 "XPASS:" $$xpass "$$red"; \
752	  result_count $$1 "ERROR:" $$error "$$mgn"; \
753	}; \
754	{								\
755	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
756	    $(am__rst_title);						\
757	  create_testsuite_report --no-color;				\
758	  echo;								\
759	  echo ".. contents:: :depth: 2";				\
760	  echo;								\
761	  for b in $$bases; do echo $$b; done				\
762	    | $(am__create_global_log);					\
763	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
764	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
765	if $$success; then						\
766	  col="$$grn";							\
767	 else								\
768	  col="$$red";							\
769	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
770	fi;								\
771	echo "$${col}$$br$${std}"; 					\
772	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
773	echo "$${col}$$br$${std}"; 					\
774	create_testsuite_report --maybe-color;				\
775	echo "$$col$$br$$std";						\
776	if $$success; then :; else					\
777	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
778	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
779	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
780	  fi;								\
781	  echo "$$col$$br$$std";					\
782	fi;								\
783	$$success || exit 1
784
785check-TESTS: $(check_PROGRAMS)
786	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
787	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
788	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
789	@set +e; $(am__set_TESTS_bases); \
790	log_list=`for i in $$bases; do echo $$i.log; done`; \
791	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
792	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
793	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
794	exit $$?;
795recheck: all $(check_PROGRAMS)
796	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
797	@set +e; $(am__set_TESTS_bases); \
798	bases=`for i in $$bases; do echo $$i; done \
799	         | $(am__list_recheck_tests)` || exit 1; \
800	log_list=`for i in $$bases; do echo $$i.log; done`; \
801	log_list=`echo $$log_list`; \
802	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
803	        am__force_recheck=am--force-recheck \
804	        TEST_LOGS="$$log_list"; \
805	exit $$?
806make_gmm_test.pl.log: make_gmm_test.pl
807	@p='make_gmm_test.pl'; \
808	b='make_gmm_test.pl'; \
809	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
810	--log-file $$b.log --trs-file $$b.trs \
811	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
812	"$$tst" $(AM_TESTS_FD_REDIRECT)
813.test.log:
814	@p='$<'; \
815	$(am__set_b); \
816	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
817	--log-file $$b.log --trs-file $$b.trs \
818	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
819	"$$tst" $(AM_TESTS_FD_REDIRECT)
820@am__EXEEXT_TRUE@.test$(EXEEXT).log:
821@am__EXEEXT_TRUE@	@p='$<'; \
822@am__EXEEXT_TRUE@	$(am__set_b); \
823@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
824@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
825@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
826@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
827
828distdir: $(BUILT_SOURCES)
829	$(MAKE) $(AM_MAKEFLAGS) distdir-am
830
831distdir-am: $(DISTFILES)
832	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
833	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
834	list='$(DISTFILES)'; \
835	  dist_files=`for file in $$list; do echo $$file; done | \
836	  sed -e "s|^$$srcdirstrip/||;t" \
837	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
838	case $$dist_files in \
839	  */*) $(MKDIR_P) `echo "$$dist_files" | \
840			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
841			   sort -u` ;; \
842	esac; \
843	for file in $$dist_files; do \
844	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
845	  if test -d $$d/$$file; then \
846	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
847	    if test -d "$(distdir)/$$file"; then \
848	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
849	    fi; \
850	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
851	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
852	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
853	    fi; \
854	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
855	  else \
856	    test -f "$(distdir)/$$file" \
857	    || cp -p $$d/$$file "$(distdir)/$$file" \
858	    || exit 1; \
859	  fi; \
860	done
861check-am: all-am
862	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
863	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
864check: check-am
865all-am: Makefile
866installdirs:
867install: install-am
868install-exec: install-exec-am
869install-data: install-data-am
870uninstall: uninstall-am
871
872install-am: all-am
873	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
874
875installcheck: installcheck-am
876install-strip:
877	if test -z '$(STRIP)'; then \
878	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
879	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
880	      install; \
881	else \
882	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
883	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
884	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
885	fi
886mostlyclean-generic:
887	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
888	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
889	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
890
891clean-generic:
892	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
893
894distclean-generic:
895	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
896	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
897
898maintainer-clean-generic:
899	@echo "This command is intended for maintainers to use"
900	@echo "it deletes files that may require special tools to rebuild."
901clean: clean-am
902
903clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
904	mostlyclean-am
905
906distclean: distclean-am
907		-rm -f ./$(DEPDIR)/dummy.Po
908	-rm -f Makefile
909distclean-am: clean-am distclean-compile distclean-generic \
910	distclean-tags
911
912dvi: dvi-am
913
914dvi-am:
915
916html: html-am
917
918html-am:
919
920info: info-am
921
922info-am:
923
924install-data-am:
925
926install-dvi: install-dvi-am
927
928install-dvi-am:
929
930install-exec-am:
931
932install-html: install-html-am
933
934install-html-am:
935
936install-info: install-info-am
937
938install-info-am:
939
940install-man:
941
942install-pdf: install-pdf-am
943
944install-pdf-am:
945
946install-ps: install-ps-am
947
948install-ps-am:
949
950installcheck-am:
951
952maintainer-clean: maintainer-clean-am
953		-rm -f ./$(DEPDIR)/dummy.Po
954	-rm -f Makefile
955maintainer-clean-am: distclean-am maintainer-clean-generic
956
957mostlyclean: mostlyclean-am
958
959mostlyclean-am: mostlyclean-compile mostlyclean-generic \
960	mostlyclean-libtool
961
962pdf: pdf-am
963
964pdf-am:
965
966ps: ps-am
967
968ps-am:
969
970uninstall-am:
971
972.MAKE: check-am install-am install-strip
973
974.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
975	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
976	cscopelist-am ctags ctags-am distclean distclean-compile \
977	distclean-generic distclean-libtool distclean-tags distdir dvi \
978	dvi-am html html-am info info-am install install-am \
979	install-data install-data-am install-dvi install-dvi-am \
980	install-exec install-exec-am install-html install-html-am \
981	install-info install-info-am install-man install-pdf \
982	install-pdf-am install-ps install-ps-am install-strip \
983	installcheck installcheck-am installdirs maintainer-clean \
984	maintainer-clean-generic mostlyclean mostlyclean-compile \
985	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
986	recheck tags tags-am uninstall uninstall-am
987
988.PRECIOUS: Makefile
989
990
991# Tell versions [3.59,3.63) of GNU make to not export all variables.
992# Otherwise a system limit (for SysV at least) may be exceeded.
993.NOEXPORT:
994